SELECT 
convert(varchar(3),FBFIRMA) AS Firmennummer, 
convert(varchar(6),FBKONTO) AS Kontonummer, 
convert(decimal(12,0),FBBELNR) AS Belegnummer, 
FBBUCHDAT AS Buchungsdatum, 
replace(convert(decimal(15,2),(round(FBSOLL,2))),'.',',')     AS Sollbetrag, 
replace(convert(decimal(15,2),(round(FBHABEN,2))),'.',',')    AS Habenbetrag, 
replace(replace(FBBUTEXT, ';',' '),'"',' ') AS Buchungstext, 
FBBELEGDAT AS Belegdatum,  
convert(varchar(6),FBGEGKTO) AS Gegenkonto, 
FBUSTSCHLU AS Ust_Schluessel
FROM FIBBEW 
WHERE FBFIRMA = 111  
AND FBKONTO >= 1  AND FBKONTO <= 999999  
AND FBBUCHDAT >= '20020101' AND FBBUCHDAT <= '20021231' 
AND FBKONTO <> 90000 AND FBGEGKTO <> 90000 
AND (FIBBEW.FBDIALOG <> '1' OR  (FIBBEW.FBDIALOG IS NULL)) 
UNION ALL
SELECT 
convert(varchar(3),FKFIRMA) AS Firmennummer, 
convert(varchar(6),FKKONTO) AS Kontonummer, 
'1' AS Belegnummer, 
'20020101' AS Buchungsdatum, 
replace(convert(decimal(15,2),(round(FKSAVO,2))),'.',',')     AS Sollbetrag, 
'0' AS Habenbetrag, 
'EBWERT' AS Buchungstext, 
'20020101' AS Belegdatum, 
'0' AS Gegenkonto, 
' ' AS Ust_Schluessel
FROM FIBKON 
WHERE FKFIRMA = 111 
AND FKJAHR =  2002 
AND FKSAVO <> 0 
ORDER BY 2, 9